.slick-sort-indicator {
  position: absolute;
  bottom: 4px;
  left: 0px; }

#gradebook_grid .slick-cell {
  border: 0;
  padding: 0;
  overflow: visible; }
  #gradebook_grid .slick-cell.editable {
    background: transparent;
    border: none; }

.gradebook2 #content {
  position: relative;
  padding: 0; }

#gradebook-grid-wrapper {
  position: relative; }

#gradebook_students_grid {
  float: left;
  width: 250px; }
  #gradebook_students_grid .grid-canvas {
    padding-bottom: 50px; }
  #gradebook_students_grid .student-name {
    color: #1b7eda;
    text-shadow: #fbf8f8 0 0 1px; }
  #gradebook_students_grid .avatar {
    float: left;
    width: 34px; }
    #gradebook_students_grid .avatar img {
      max-width: 30px;
      height: 30px; }
  #gradebook_students_grid .student-placeholder {
    display: none; }
  #gradebook_students_grid .student-section {
    position: relative;
    top: -7px;
    font-size: 10px;
    color: #aaaaaa; }
  #gradebook_students_grid .secondary_identifier_cell {
    color: #333333;
    font-size: 10px;
    text-align: center;
    line-height: 35px; }
  #gradebook_students_grid .hide-students .student-name, #gradebook_students_grid .hide-students .avatar {
    display: none; }
  #gradebook_students_grid .hide-students .student-placeholder {
    display: block; }
  #gradebook_students_grid .hide-students .secondary_identifier_cell {
    text-indent: -9999em; }

.slick-header.ui-state-default {
  border-top: 0; }

.slick-header-column {
  background-color: #f3f4f8;
  background-image: none;
  padding: 10px;
  font-size: 12px;
  text-align: center;
  font-weight: normal; }
  .slick-header-column.ui-state-default {
    height: 30px; }
  .slick-header-column.hovered-column {
    background-color: #cedfee;
    background-image: -webkit-gradient(linear, left top, left bottom, from(#e0ecf9), to(#bdd2e3));
    background-image: -webkit-linear-gradient(top, #e0ecf9, #bdd2e3);
    background-image: -moz-linear-gradient(top, #e0ecf9, #bdd2e3);
    background-image: -ms-linear-gradient(top, #e0ecf9, #bdd2e3);
    background-image: -o-linear-gradient(top, #e0ecf9, #bdd2e3);
    background-image: linear-gradient(top, #e0ecf9, #bdd2e3);
    -ms-filter: "progid:DXImageTransform.Microsoft.gradient(startColorStr='#e0ecf9',EndColorStr='#bdd2e3')";
    zoom: 1; }
    .ie9 .slick-header-column.hovered-column {
      border-radius: 0 !important; }
  .slick-header-column .slick-column-name {
    font-weight: bold;
    color: #2f2a34;
    text-shadow: white 0 0 1px; }
  .slick-header-column a.assignment-name {
    font-weight: normal;
    color: #1b7ecf;
    text-shadow: white 0 0 1px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap; }
  .slick-header-column .muted {
    background: url("/images/sound_mute.png") no-repeat center left;
    padding-left: 16px; }
  .slick-header-column .assignment-points-possible {
    font-weight: normal;
    text-shadow: #84848a 0 0 1px;
    font-size: 10px;
    filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=50);
    opacity: 0.5;
    color: #2f2a34;
    margin-left: 10px;
    margin-right: 14px; }
  .slick-header-column .gradebook-header-drop {
    z-index: 1;
    background: url("/images/jqueryui/gradebook-header-drop.png") no-repeat top left;
    width: 14px;
    height: 14px;
    position: absolute;
    bottom: 3px;
    right: 3px;
    text-indent: 999px;
    filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=0);
    opacity: 0;
    border: 0 none; }
    .slick-header-column .gradebook-header-drop:hover, .slick-header-column .gradebook-header-drop.ui-menu-trigger-menu-is-open {
      background-position: bottom left;
      filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=100);
      opacity: 1; }
  .slick-header-column:hover .gradebook-header-drop {
    filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=100);
    opacity: 1; }

.odd .slick-cell {
  background-color: #f5f6f7; }

.even .slick-cell {
  background-color: #fcfcfc; }

.odd .meta-cell {
  background-color: #eff3f4; }

.even .meta-cell {
  background-color: #e6eaec; }

.odd .total-cell {
  background-color: #e0e6e8; }

.even .total-cell {
  background-color: #d7dee1; }

.slick-row.ui-state-active {
  color: inherit;
  background-image: none;
  font-weight: normal; }

.slick-row.ui-state-active .slick-cell {
  background-color: #dfe9f2; }

.slick-row.ui-state-active .slick-cell.selected {
  background-color: #cae4f7;
  background-image: -webkit-gradient(linear, left top, left bottom, from(#d7eaf9), to(#bedff6));
  background-image: -webkit-linear-gradient(top, #d7eaf9, #bedff6);
  background-image: -moz-linear-gradient(top, #d7eaf9, #bedff6);
  background-image: -ms-linear-gradient(top, #d7eaf9, #bedff6);
  background-image: -o-linear-gradient(top, #d7eaf9, #bedff6);
  background-image: linear-gradient(top, #d7eaf9, #bedff6);
  -ms-filter: "progid:DXImageTransform.Microsoft.gradient(startColorStr='#d7eaf9',EndColorStr='#bedff6')";
  zoom: 1;
  background-color: #ccddff; }
  .ie9 .slick-row.ui-state-active .slick-cell.selected {
    border-radius: 0 !important; }

.slick-cell div.cell-content {
  text-align: center;
  vertical-align: middle; }

.slick-cell.editable {
  border-color: #2fa1ff; }

.slick-cell.ungraded {
  background-image: url("/images/4_percent_opacity.png");
  background-repeat: repeat; }

.gradebook-tooltip {
  display: none;
  background-color: #444444;
  color: white;
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  -ms-border-radius: 3px;
  -o-border-radius: 3px;
  border-radius: 3px;
  padding: 5px 10px;
  z-index: 5;
  position: absolute;
  font-size: 0.8em;
  left: 0;
  top: -30px; }
  .gradebook-tooltip:after {
    border-color: #444444 transparent;
    border-style: solid;
    border-width: 5px 5px 0;
    position: absolute;
    bottom: -5px;
    width: 0;
    left: 15px;
    content: ""; }
  .slick-row[row="0"] .gradebook-tooltip {
    bottom: -30px;
    top: auto; }
    .slick-row[row="0"] .gradebook-tooltip:after {
      border-width: 0 5px 5px;
      bottom: auto;
      top: -5px; }
  .slick-cell.hover .gradebook-tooltip, .gradebook-cell.focus .gradebook-tooltip, .slick-cell.selected .gradebook-tooltip {
    display: block; }

.slick-cell.completely-hidden {
  display: none; }

.gradebook-tooltip-last {
  left: auto;
  right: 0; }
  .gradebook-tooltip-last:after {
    left: auto;
    right: 15px; }

.gradebook-cell {
  padding-top: 8px;
  height: 25px;
  position: relative;
  text-align: center;
  border: 1px solid transparent;
  border-right: 1px dotted silver;
  border-bottom-color: silver;
  background-repeat: repeat; }
  .gradebook-cell.late {
    background-image: url("/images/gradebook-late-indicator.png"); }
  .gradebook-cell.resubmitted {
    background-image: url("/images/gradebook-resubmitted-indicator.png"); }

.slick-cell.dropped {
  background-image: url("/images/gradebook-dropped-indicator.png");
  background-repeat: repeat; }

.gradebook-cell-turnitin {
  position: absolute;
  top: 2px;
  right: 2px;
  z-index: 1;
  width: 20px;
  height: 16px; }
  .gradebook-cell-turnitin.no-score {
    background-image: url(/images/turnitin_no_score.png); }
  .gradebook-cell-turnitin.none-score {
    background-image: url(/images/turnitin_none_score.png); }
  .gradebook-cell-turnitin.acceptable-score {
    background-image: url(/images/turnitin_acceptable_score.png); }
  .gradebook-cell-turnitin.warning-score {
    background-image: url(/images/turnitin_warning_score.png); }
  .gradebook-cell-turnitin.problem-score {
    background-image: url(/images/turnitin_problem_score.png); }
  .gradebook-cell-turnitin.failure-score {
    background-image: url(/images/turnitin_failure_score.png); }

.gradebook-cell-comment {
  position: absolute;
  top: -1px;
  right: -1px;
  background: url("/images/gradebook-comments-sprite2.png") no-repeat 100% 0;
  height: 12px;
  width: 12px;
  visibility: hidden;
  z-index: 2;
  overflow: hidden; }
  #gradebook_grid.editable .gradebook-cell-comment:hover, #gradebook_grid.editable .gradebook-cell-comment:focus {
    visibility: visible;
    background-position: 100% -88px !important;
    width: 17px;
    height: 17px; }
  .slick-cell.with-comments .gradebook-cell-comment {
    visibility: visible; }
  #gradebook_grid.editable .slick-cell.focus .gradebook-cell-comment, #gradebook_grid.editable .slick-cell.hover .gradebook-cell-comment {
    visibility: visible;
    background-position: 100% -41px;
    width: 25px;
    height: 25px; }

.gradebook-cell-comment-label {
  text-indent: -119988px;
  overflow: hidden;
  text-align: left;
  display: inline-block; }

.gradebook-cell-editable {
  height: 32px -8px;
  padding-top: 8px;
  margin: 0;
  border: 0;
  border: 1px solid #35a5e5;
  background-color: white;
  box-shadow: 0 0 5px #51cbee; }

.gradebook-cell .grade {
  border: none;
  text-align: center;
  outline: none;
  font-size: 12px;
  width: 100%;
  padding: 0;
  margin: 0;
  background: none;
  box-shadow: none !important; }
.gradebook-cell .grade::-webkit-outer-spin-button {
  display: none; }

.gradebook-cell-out-of-formatter {
  padding-top: 0;
  height: 32px; }
  .gradebook-cell-out-of-formatter .overflow-wrapper {
    overflow: hidden;
    position: relative;
    width: 100%;
    height: 32px; }
  .gradebook-cell-out-of-formatter .grade-and-outof-wrapper {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 400px;
    margin-left: -200px;
    margin-top: -10px; }
    .gradebook-cell-out-of-formatter .grade-and-outof-wrapper .divider {
      padding: 0 1px 0 2px; }
    .gradebook-cell-out-of-formatter .grade-and-outof-wrapper .outof, .gradebook-cell-out-of-formatter .grade-and-outof-wrapper .grade {
      width: 200px;
      display: inline-block;
      background: transparent; }
    .gradebook-cell-out-of-formatter .grade-and-outof-wrapper .outof {
      -webkit-user-select: none;
      -moz-user-select: none;
      -ms-user-select: none;
      -o-user-select: none;
      user-select: none;
      text-align: left;
      color: #888888; }
    .gradebook-cell-out-of-formatter .grade-and-outof-wrapper .grade {
      border: none;
      text-align: right;
      outline: none;
      font-size: 12px; }
    .gradebook-cell-out-of-formatter .grade-and-outof-wrapper .grade::-webkit-outer-spin-button {
      display: none; }

.gradebook-checkbox {
  text-indent: -119988px;
  overflow: hidden;
  text-align: left;
  display: block;
  position: absolute;
  left: 50%;
  top: 50%;
  width: 16px;
  height: 16px;
  margin-top: -8px;
  margin-left: -8px;
  background: url("/images/checkbox_sprite3.png") no-repeat 0 0; }
  .gradebook-checkbox.gradebook-checkbox-pass {
    background-position: -48px 0; }
  .gradebook-checkbox.gradebook-checkbox-fail {
    background-position: -64px 0; }
  .gradebook-checkbox.editable.gradebook-checkbox-pass {
    background-position: -16px 0; }
  .gradebook-checkbox.editable.gradebook-checkbox-fail {
    background-position: -32px 0; }

.minimized {
  background-image: url("/images/4_percent_opacity.png"); }
  .minimized .gradebook-cell {
    font-size: 0px; }
    .minimized .gradebook-cell * {
      display: none; }

.minimized .slick-column-name {
  display: none; }

#gradebook-toolbar {
  height: 28px;
  padding: 6px 10px;
  position: relative;
  border-left: none;
  border-right: none; }

.gradebook_filter {
  position: absolute;
  right: 10px;
  top: 6px; }

.gradebook_filter input {
  width: 300px; }

#section-to-show-menu {
  width: 200px;
  overflow-x: hidden;
  overflow-y: auto;
  max-height: 550px; }
  #section-to-show-menu label {
    font-size: 12px;
    font-weight: bold;
    margin-bottom: 0;
    vertical-align: 0px !important;
    position: relative;
    line-height: 1.5; }

.submission_type_icon {
  display: block;
  width: 100%;
  height: 22px;
  background-position: center center;
  background-repeat: no-repeat; }
  .online_text_entry .submission_type_icon {
    background-image: url("/images/text_entry.png"); }
  .discussion_topic .submission_type_icon {
    background-image: url("/images/word_bubble.png"); }
  .online_upload .submission_type_icon {
    background-image: url("/images/file.png"); }
  .pending_review .submission_type_icon {
    background-image: url("/images/pending_review.png"); }
  .media_comment .submission_type_icon, .media_recording .submission_type_icon {
    background-image: url("/images/media_comment.gif"); }
  .quiz .submission_type_icon {
    background-image: url("/images/quiz.png"); }

.letter-grade-points {
  filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=40);
  opacity: 0.4;
  position: absolute;
  font-size: 11px;
  padding-left: 8px;
  line-height: 19px; }

.final-warning {
  margin-left: -16px; }

.gradebook_drop_down label {
  font-size: 12px;
  font-weight: bold;
  margin-bottom: 0;
  vertical-align: 0px !important;
  position: relative;
  line-height: 1.5; }
